Bug 15591 - Bad release in M40
: Bad release in M40
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/t1lib)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 15594
  Show dependency tree
 
Reported: 2008-05-10 12:09 by
Modified: 2008-05-15 03:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-10 12:09:43
При бэкпорте t1lib було нарушено полиси на нумерацию. При апгрейде с branch/4.0
на branch/4.1 невозможно установить t1lib-devel, из-за того, что версия в
Сизифе
и branch/4.1 меньше, чем уже установленная. Необходимо в Сизиф и branch/4.1
поместить библиотеку с релизом alt2, прочитать полиси и больше не делать таких
ошибок.
------- Comment #1 From 2008-05-10 14:20:45 -------
Reassign
------- Comment #2 From 2008-05-10 15:59:17 -------
Промахнулся, наверное, по ночному времени.  Отправил alt2, а вообще тут лежит:

* Wed Sep 26 2007 Michael Shigorin <mike@altlinux> 5.1.1-alt1
- 5.1.1 (still needs a separate patch for the issue fixed
  in 5.0.2-alt1.1)

и в декабре вышла 5.1.2 с приложенным патчем -- может, перевести t1lib в сизифе
и бранчах на 5.1.x?  Судя по changelog, изменения -- в основном багфиксы (в
т.ч.
по части новых autotools и 64bit); soname не менялся.

Проверка обновления бинарной сборки на M40 и M41 показала, что клиенты (xpdf и
grace соответственно) чувствуют себя замечательно.  Да и даже в Etch -- 5.1.x.

В общем, отправляю в Daedalus пока, а то опять забуду...
------- Comment #3 From 2008-05-11 05:18:20 -------
(In reply to comment #2)
> Промахнулся, наверное, по ночному времени.  Отправил alt2

Миша, спасибо за тестирование нового sisyphus_check:
Verifying repositories: SRPMS/t1lib-5.0.2-alt2.src.rpm: forbidden requires:
XFree86-devel

Тебя не затруднит прогнать пакет через buildreq?

> а вообще тут лежит:
> 
> * Wed Sep 26 2007 Michael Shigorin <mike@altlinux> 5.1.1-alt1
> - 5.1.1 (still needs a separate patch for the issue fixed
>   in 5.0.2-alt1.1)
> 
> и в декабре вышла 5.1.2 с приложенным патчем -- может, перевести t1lib в сизифе
> и бранчах на 5.1.x?  Судя по changelog, изменения -- в основном багфиксы (в т.ч.
> по части новых autotools и 64bit); soname не менялся.
> 
> Проверка обновления бинарной сборки на M40 и M41 показала, что клиенты (xpdf и
> grace соответственно) чувствуют себя замечательно.  Да и даже в Etch -- 5.1.x.
> 
> В общем, отправляю в Daedalus пока, а то опять забуду...

Лучше сразу в Сизиф.
------- Comment #4 From 2008-05-11 18:40:09 -------
(In reply to comment #3)
> > Промахнулся, наверное, по ночному времени.  Отправил alt2
> Миша, спасибо за тестирование нового sisyphus_check:
:D

> Тебя не затруднит прогнать пакет через buildreq?
Новый прогнал.

> > В общем, отправляю в Daedalus пока, а то опять забуду...
> Лучше сразу в Сизиф.
Хорошо, а этот в M41 положи, pls? (неохота делать бэкпорт без особого повода --
или в бранчах тоже переберёмся на 5.1?)